import Foundation
import Combine
import TIM
import TriforkSwiftDependencyInjection

extension OnboardingView {
    final class ViewModel: ObservableObject {
        let steps = OnboardingStepsFactory.steps

        @Published var presentConsent: Bool = false
        @Published var scrollViewModel = SUIScrollViewViewModel(
            isPaged: true,
            bounces: false,
            showIndicators: false
        )
    }
}
