//
//  File.swift
//  
//
//  Created by Kim de Vos on 29/10/2020.
//

import Foundation

public protocol TokenService {
    /// Weather the user have completed the onboarding and logged in atleast once
    var isUserLoggedIn: Bool { get }

    /// When the user is logged in an have an active session
    var hasActiveSession: Bool { get }
}
