import UIKit

extension SessionLoadingViewController {
    
    final class View: BaseView {
        let loadingView = LoadingView()

        override func setupView() {
            addSubview(loadingView)

            NSLayoutConstraint.activate([
                loadingView.centerXAnchor.constraint(equalTo: centerXAnchor),
                loadingView.centerYAnchor.constraint(equalTo: centerYAnchor),
                loadingView.leadingAnchor.constraint(greaterThanOrEqualTo: leadingAnchor),
                loadingView.trailingAnchor.constraint(lessThanOrEqualTo: trailingAnchor)
            ])
        }
    }
}
