//
//  TabBarController.swift
//  MinGraviditet
//
//  Created by Kim de Vos on 29/10/2020.
//

import UIKit
import SwiftUI

final class TabBarController: UITabBarController {
    override func viewDidLoad() {
        super.viewDidLoad()

        let overviewViewControler = UIHostingController(rootView: OverviewView())
        #warning("Fix localization")
        overviewViewControler.tabBarItem.title = "Oversigt"

        let knowledgeViewController = UIHostingController(rootView: KnowledgeView())
        #warning("Fix localization")
        knowledgeViewController.tabBarItem.title = "Viden"

        let appointmentViewController = UIHostingController(rootView: AppointmentsView())
        #warning("Fix localization")
        appointmentViewController.tabBarItem.title = "Aftaler"

        let journalViewController = UIHostingController(rootView: JournalView())
        #warning("Fix localization")
        journalViewController.tabBarItem.title = "Journal"

        let moreViewController = UIHostingController(rootView: MoreView())
        #warning("Fix localization")
        moreViewController.tabBarItem.title = "Mere"

        viewControllers = [
            overviewViewControler,
            knowledgeViewController,
            appointmentViewController,
            journalViewController,
            moreViewController
        ]
    }
}
